Bug 133963 - yum fails while resolving dependencies
yum fails while resolving dependencies
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 14:12 EDT by Tom Lane
Modified: 2014-01-21 17:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-28 14:17:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Lane 2004-09-28 14:12:45 EDT
Description of problem: I tried to use yum to install kdelibs-devel
on a machine that didn't have it, and didn't have a lot of the
dependencies either (this was a recent FC3 Test 2 install).  It
pulled down many (all?) of the dependencies and then failed with this
traceback:

Traceback (most recent call last):
  File "/usr/share/yum-cli/yummain.py", line 139, in ?
    main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 94, in main
    (result, resultmsgs) = base.buildTransaction()
  File "/usr/lib/python2.3/site-packages/yum/__init__.py", line 131,
in buildTransaction
    (rescode, restring) = self.resolveDeps()
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 186,
in resolveDeps
    (checkdep, missing, conflict, errormsgs) = self._processReq(dep)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 282,
in _processReq
    CheckDeps, missingdep =
self._requiringFromInstalled(requiringPkg.pkgtup(),
requirementTuple, errormsgs)
  File "/usr/lib/python2.3/site-packages/yum/depsolve.py", line 338,
in _requiringFromInstalled
    uplist = self.up.getUpdatesList(name=name)
AttributeError: YumBaseCli instance has no attribute 'up'



Version-Release number of selected component (if applicable):
yum-2.1.3-1

How reproducible:


Steps to Reproduce:
1. yum install kdelibs-devel
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom Lane 2004-09-28 14:13:49 EDT
wup, hit the wrong version button - it is Test2 not Test3
Comment 2 Seth Vidal 2004-09-28 14:17:58 EDT
hit the wrong version number and you didn't check upstream bugzilla,
either.

https://devel.linux.duke.edu/bugzilla/show_bug.cgi?id=311

Note You need to log in before you can comment on or make changes to this bug.